Page MenuHomePhabricator

Migrate fail-archived-repositories job to a new host
Closed, ResolvedPublic

Description

The CI job fail-archived-repositories is used in CI for Gerrit repositories that have been archived (as part of Projects-Cleanup). The idea is that when a repository is reopened, CI would complain until it is updated with proper jobs.

The job runs on the legacy Jessie slaves and should be moved to some other instance / host. It is a dummy and safe job, its only purpose is to have Zuul to report a message to Gerrit.

Event Timeline

hashar created this task.Dec 6 2019, 11:25 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 6 2019, 11:25 AM
hashar triaged this task as Medium priority.Dec 6 2019, 11:37 AM

Or we could just drop this job? It's very low-value, and a lot of repos don't have it…

This doesn't look like a good first task to me; I'm removing the tag. If you disagree, then consider adding more links or relevant information in the task description for clarity.

hashar added a comment.Dec 9 2019, 2:02 PM

@srishakatux indeed I have used the wrong tag sorry :D

@Jdforrester-WMF given the job just run exit 1, I guess we can run it on contint1001.

@Jdforrester-WMF given the job just run exit 1, I guess we can run it on contint1001.

Yeah, that'd work.

Change 556668 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] jjb: move fail-archived-repositories to contint1001

https://gerrit.wikimedia.org/r/556668

Thanks @Jdforrester-WMF . The job now runs on contint1001 to do the exit 1.

hashar closed this task as Resolved.Dec 12 2019, 1:25 PM
hashar claimed this task.

Change 556668 merged by jenkins-bot:
[integration/config@master] jjb: move fail-archived-repositories to contint1001

https://gerrit.wikimedia.org/r/556668